Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.batchext
Interface LocalFileConfigConstants

    public interface LocalFileConfigConstants

jim.fu@sun.com TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`static java.lang.String` | `ActionOnMalformedCommand_KEY`
`static java.lang.String` | `Append_KEY`
`static java.lang.String` | `ClientClassName_KEY`
`static java.lang.String` | `ExtensionPropertiesFile_KEY`
`static java.lang.String` | `IncludeOrderRecordInErrorRecord_KEY`
`static java.lang.String` | `IncludePayloadInErrorRecord_KEY`
`static java.lang.String` | `MaxSequenceNumber_KEY`
`static java.lang.String` | `PostDirectoryName_KEY`
`static java.lang.String` | `PostDirectoryNameIsPattern_KEY`
`static java.lang.String` | `PostFileName_KEY`
`static java.lang.String` | `PostFileNameIsPattern_KEY`
`static java.lang.String` | `PostTransferCommand_KEY`
`static java.lang.String` | `PreDirectoryName_KEY`
`static java.lang.String` | `PreDirectoryNameIsPattern_KEY`
`static java.lang.String` | `PreFileName_KEY`
`static java.lang.String` | `PreFileNameIsPattern_KEY`
`static java.lang.String` | `PreTransferCommand_KEY`
`static java.lang.String` | `ProviderClassName_KEY`
`static java.lang.String` | `PublishStatusRecordOnError_KEY`
`static java.lang.String` | `PublishStatusRecordOnSuccess_KEY`
`static java.lang.String` | `ResumeReadingEnabled_KEY`
`static java.lang.String` | `StartingSequenceNumber_KEY`
`static java.lang.String` | `StatePersistenceBaseLocation_KEY`
`static java.lang.String` | `Synchronized_KEY`
`static java.lang.String` | `TargetDirectoryName_KEY`
`static java.lang.String` | `TargetDirectoryNameIsPattern_KEY`
`static java.lang.String` | `TargetFileName_KEY`
`static java.lang.String` | `TargetFileNameIsPattern_KEY`
`static java.lang.String` | `TransactionType_KEY`

Field Detail

### TransactionType_KEY

    static final java.lang.String TransactionType_KEY

See Also:
  Constant Field Values

### ResumeReadingEnabled_KEY

    static final java.lang.String ResumeReadingEnabled_KEY

See Also:
  Constant Field Values

### StatePersistenceBaseLocation_KEY

    static final java.lang.String StatePersistenceBaseLocation_KEY

See Also:
  Constant Field Values

### Synchronized_KEY

    static final java.lang.String Synchronized_KEY

See Also:
  Constant Field Values

### TargetDirectoryName_KEY

    static final java.lang.String TargetDirectoryName_KEY

See Also:
  Constant Field Values

### TargetDirectoryNameIsPattern_KEY

    static final java.lang.String TargetDirectoryNameIsPattern_KEY

See Also:
  Constant Field Values

### TargetFileName_KEY

    static final java.lang.String TargetFileName_KEY

See Also:
  Constant Field Values

### TargetFileNameIsPattern_KEY

    static final java.lang.String TargetFileNameIsPattern_KEY

See Also:
  Constant Field Values

### Append_KEY

    static final java.lang.String Append_KEY

See Also:
  Constant Field Values

### PreTransferCommand_KEY

    static final java.lang.String PreTransferCommand_KEY

See Also:
  Constant Field Values

### PreDirectoryName_KEY

    static final java.lang.String PreDirectoryName_KEY

See Also:
  Constant Field Values

### PreDirectoryNameIsPattern_KEY

    static final java.lang.String PreDirectoryNameIsPattern_KEY

See Also:
  Constant Field Values

### PreFileName_KEY

    static final java.lang.String PreFileName_KEY

See Also:
  Constant Field Values

### PreFileNameIsPattern_KEY

    static final java.lang.String PreFileNameIsPattern_KEY

See Also:
  Constant Field Values

### PostTransferCommand_KEY

    static final java.lang.String PostTransferCommand_KEY

See Also:
  Constant Field Values

### PostDirectoryName_KEY

    static final java.lang.String PostDirectoryName_KEY

See Also:
  Constant Field Values

### PostDirectoryNameIsPattern_KEY

    static final java.lang.String PostDirectoryNameIsPattern_KEY

See Also:
  Constant Field Values

### PostFileName_KEY

    static final java.lang.String PostFileName_KEY

See Also:
  Constant Field Values

### PostFileNameIsPattern_KEY

    static final java.lang.String PostFileNameIsPattern_KEY

See Also:
  Constant Field Values

### StartingSequenceNumber_KEY

    static final java.lang.String StartingSequenceNumber_KEY

See Also:
  Constant Field Values

### MaxSequenceNumber_KEY

    static final java.lang.String MaxSequenceNumber_KEY

See Also:
  Constant Field Values

### PublishStatusRecordOnSuccess_KEY

    static final java.lang.String PublishStatusRecordOnSuccess_KEY

See Also:
  Constant Field Values

### PublishStatusRecordOnError_KEY

    static final java.lang.String PublishStatusRecordOnError_KEY

See Also:
  Constant Field Values

### IncludeOrderRecordInErrorRecord_KEY

    static final java.lang.String IncludeOrderRecordInErrorRecord_KEY

See Also:
  Constant Field Values

### IncludePayloadInErrorRecord_KEY

    static final java.lang.String IncludePayloadInErrorRecord_KEY

See Also:
  Constant Field Values

### ActionOnMalformedCommand_KEY

    static final java.lang.String ActionOnMalformedCommand_KEY

See Also:
  Constant Field Values

### ClientClassName_KEY

    static final java.lang.String ClientClassName_KEY

See Also:
  Constant Field Values

### ProviderClassName_KEY

    static final java.lang.String ProviderClassName_KEY

See Also:
  Constant Field Values

### ExtensionPropertiesFile_KEY

    static final java.lang.String ExtensionPropertiesFile_KEY

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD